ACCT(8)

NAME
acctdisk, acctdusg, accton, acctwtmp - overview of accounting and miscellaneous accounting commands

SYNOPSIS
/usr/lib/acct/acctdisk

/usr/lib/acct/acctdusg [ -u filename ] [ -p filename ]

/usr/lib/acct/accton [ filename ]

/usr/lib/acct/acctwtmp reason

DESCRIPTION

Accounting software is structured as a set of tools (consisting of both C programs and shell procedures) that can be used to build accounting systems. acctsh(8) describes the set of shell procedures built on top of the C programs.

Connect time accounting is handled by various programs that write records into /etc/utmp, as described in utmp(5V). The programs described in acctcon(8) convert this file into session and charging records, which are then summarized by acctmerg(8).

Process accounting is performed by the UNIX system kernel. Upon termination of a process, one record per process is written to a file (normally /var/adm/pacct). The programs in acctprc(8) summarize this data for charging purposes; acctcms(8) is used to summarize command usage. Current process data may be examined using acctcom(1).

Process accounting and connect time accounting (or any accounting records in the format described in acct(5)) can be merged and summarized into total accounting records by acctmerg (see tacct format in acct(5)). prtacct (see acctsh(8)) is used to format any or all accounting records.

acctdisk reads lines that contain user ID, login name, and number of disk blocks and converts them to total accounting records that can be merged with other accounting records.

acctdusg reads its standard input (usually from `find / -print') and computes disk resource consumption (including indirect blocks) by login.

accton without arguments turns process accounting off. If filename is given, it must be the name of an existing file, to which the kernel appends process accounting records (see acct(2V) and acct(5)). You must be super-user to use this command.

acctwtmp writes a utmp(5V) record to its standard output. The record contains the current time and a string of characters that describe the reason. The login name for this record is set to @@acct (see utmp(5V)). reason must be a string of 8 or fewer characters, numbers, $, or SPACE characters. If reason contains a SPACE character, it must be enclosed in double quotes. For example, the following are suggestions for use in reboot and shutdown procedures, respectively:

    acctwtmp uname >> /var/adm/wtmp
    acctwtmp fsave >> /var/adm/wtmp

OPTIONS

  acctdusg

-u filename
    Place records consisting of those file names for which acctdusg charges no one in filename (a potential source for finding users trying to avoid disk charges).

-p filename
    Use filename as the password file, rather than /etc/passwd. (See diskusg(8) for more details.)

FILES
/etc/passwd
    used for login name to user ID conversions
/usr/lib/acct
    holds all accounting commands listed in section 8 of this manual
/var/adm/pacct
    current process accounting file
/var/adm/wtmp
    login/logoff history file

SEE ALSO
acctcom(1), acct(2V), acct(5), utmp(5V), acctcms(8), acctcon(8), acctmerg(8), acctprc(8), acctsh(8), diskusg(8), fwtmp(8), runacct(8)